curl --request POST \
--url "https://api.harmonyforstaffing.com/oauth/token" \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode "grant_type=refresh_token" \
--data-urlencode "refresh_token=def50200641f3e..." \
--data-urlencode "client_id=your_client_id" \
--data-urlencode "client_secret=your_client_secret"
{
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"token_type": "Bearer",
"expires_in": 86400,
"refresh_token": "def50200641f3e...",
"scope": "read write"
}
Authentication
Refresh Token
Get a new access token using a refresh token
POST
/
oauth
/
token
curl --request POST \
--url "https://api.harmonyforstaffing.com/oauth/token" \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode "grant_type=refresh_token" \
--data-urlencode "refresh_token=def50200641f3e..." \
--data-urlencode "client_id=your_client_id" \
--data-urlencode "client_secret=your_client_secret"
{
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"token_type": "Bearer",
"expires_in": 86400,
"refresh_token": "def50200641f3e...",
"scope": "read write"
}
When an access token expires, use the refresh token to obtain a new one.
Body Parameters
string
required
Must be “refresh_token”
string
required
The refresh token
string
required
Your application’s client ID
string
required
Your application’s client secret
curl --request POST \
--url "https://api.harmonyforstaffing.com/oauth/token" \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode "grant_type=refresh_token" \
--data-urlencode "refresh_token=def50200641f3e..." \
--data-urlencode "client_id=your_client_id" \
--data-urlencode "client_secret=your_client_secret"
{
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"token_type": "Bearer",
"expires_in": 86400,
"refresh_token": "def50200641f3e...",
"scope": "read write"
}